/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * Version : 01/05/2015 : SCA : V2.1
 * Version : 17/10/2018 : SCA : V2.2.5
 *  Redmine #6119 
 * ----------------------------------------
 */
package fr.tlse.irap.pt.client.controller.tools.timetable;

import javafx.collections.FXCollections;
import javafx.collections.ObservableList;

public class CorotationTimeTable {

	public final String TARGET	  	= "Target";
	public final String TIME_END   	= "t'";	
	public final String DELTA_VMIN 	= "t'min(ΔV)";
	public final String DELTA_VMAX 	= "t'max(ΔV)";
	public final String DELTA_PHIMIN = "t'min(Δφ)";
	public final String DELTA_PHIMAX = "t'max(Δφ)";
	public final String DELTA_LONG_2L 	= "φEnd(t')-\nφStart(t)";
	public final String DELTA_LONG 	= "φEnd(t')-φStart(t)";
	public final String DIST_SUN 	= "r(End-Sun)";
	public final String CIR_SPREAD 	= "ΔφSpiral";
	public final String CIR_LONG 	= "φSpiral(t)";
	public final String IS_INSIDE 	= "Inside Spiral";

	private ObservableList<CorotationProperty> properties = FXCollections.observableArrayList();

	public ObservableList<CorotationProperty> getProperties() {
		return properties;
	}

	public void setProperties(ObservableList<CorotationProperty> properties) {
		this.properties = properties;
	}

	public void addProperty(CorotationProperty property) {
		this.properties.add(property);
	}
	
	public void clearProperties() {
		this.properties.clear();
	}

	public boolean isEmpty(){
		return (this.properties.size() == 0);
	}

}
